diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/utils.py
index 3597a6ba3..03e486fc7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/utils.py
@@ -129,7 +129,7 @@ def create_trigger(server, db_name, schema_name, table_name, trigger_name,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "CREATE TRIGGER %s INSTEAD OF DELETE ON %s.%s FOR EACH ROW " \
                 "EXECUTE PROCEDURE %s.%s(%s)" % (trigger_name, schema_name,
@@ -137,7 +137,7 @@ def create_trigger(server, db_name, schema_name, table_name, trigger_name,
                                                  trigger_func_name,
                                                  trigger_func_arg)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         pg_cursor.execute("SELECT oid FROM pg_catalog.pg_trigger "
                           "where tgname='%s'" % trigger_name)
@@ -177,11 +177,11 @@ def create_view(server, db_name, schema_name, view_name, sql_query=None,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = eval(sql_query)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get 'oid' from newly created view
         pg_cursor.execute("select oid from pg_catalog.pg_class "
@@ -233,7 +233,7 @@ def get_view_id(server, db_name, view_name):
                                              server['host'],
                                              server['port'],
                                              server['sslmode'])
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         # Get 'oid' from newly created view
         pg_cursor.execute("select oid from pg_catalog.pg_class "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/__init__.py
index 0b724f51e..e65d08676 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/__init__.py
@@ -23,7 +23,6 @@ from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
 from pgadmin.tools.schema_diff.node_registry import SchemaDiffRegistry
 from pgadmin.tools.schema_diff.compare import SchemaDiffObjectCompare
-import psycopg2
 from pgadmin.utils import get_complete_file_path
 
 
@@ -659,7 +658,10 @@ class SubscriptionView(PGChildNodeView, SchemaDiffObjectCompare):
             'passfile' in connection_details and \
             connection_details['passfile'] != '' else None
         try:
-            conn = psycopg2.connect(
+            from pgadmin.utils.driver import get_driver
+            driver = get_driver(PG_DEFAULT_DRIVER)
+            conn = driver.get_connection(
+                sid=0,
                 host=connection_details['host'],
                 database=connection_details['db'],
                 user=connection_details['username'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/utils.py
index f81e69633..7ad747004 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/utils.py
@@ -59,7 +59,7 @@ def create_subscription(server, db_name, subscription_name):
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = """CREATE SUBSCRIPTION "%s" """ \
                 """CONNECTION 'host=192.168.1.50 port=5432 user=foo """ \
@@ -68,7 +68,7 @@ def create_subscription(server, db_name, subscription_name):
                 """enabled = false, slot_name=NONE, connect=false);""" % (
                     subscription_name)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get role oid of newly added subscription
         pg_cursor.execute("select oid from pg_catalog.pg_subscription sub "
@@ -143,12 +143,12 @@ def delete_subscription(server, db_name, subscription_name):
         subscription_count = pg_cursor.fetchone()
         if subscription_count:
             old_isolation_level = connection.isolation_level
-            connection.set_isolation_level(0)
+            utils.set_isolation_level(connection, 0)
             pg_cursor = connection.cursor()
             query = "DROP subscription %s" % \
                     (subscription_name)
             pg_cursor.execute(query)
-            connection.set_isolation_level(old_isolation_level)
+            utils.set_isolation_level(connection, old_isolation_level)
             connection.commit()
         connection.close()
     except Exception:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
index de36ff71d..533208b4a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
@@ -84,12 +84,12 @@ def create_database(connection, db_name):
     """This function used to create database"""
     try:
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute(
             '''CREATE DATABASE "%s" TEMPLATE template0''' % db_name
         )
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         return pg_cursor
     except Exception as exception:
@@ -126,6 +126,18 @@ def connect_database(self, server_group, server_id, db_id):
         ),
         follow_redirects=True
     )
+
+    if db_con.status_code != 200:
+        db_con = self.tester.post(
+            '{0}{1}/{2}/{3}'.format(
+                DATABASE_CONNECT_URL,
+                server_group,
+                server_id,
+                db_id
+            ),
+            follow_redirects=True
+        )
+
     assert db_con.status_code == 200
     db_con = json.loads(db_con.data.decode('utf-8'))
     return db_con
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/utils.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/utils.py
index e991f1bd4..5b8dd859f 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/utils.py
@@ -150,7 +150,7 @@ def create_pgagent_job(self, name):
             self.server['sslmode']
         )
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute(
             """
@@ -162,7 +162,7 @@ def create_pgagent_job(self, name):
             """.format(name)
         )
         job_id = pg_cursor.fetchone()
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         connection.close()
         return job_id[0]
@@ -186,13 +186,13 @@ def delete_pgagent_job(self, job_id=None):
             self.server['sslmode']
         )
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute(
             "DELETE FROM pgagent.pga_job "
             "WHERE jobid = '%s'::integer;" % job_id
         )
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         connection.close()
     except Exception:
@@ -239,7 +239,7 @@ def create_pgagent_schedule(self, sch_name, jobid):
             self.server['sslmode']
         )
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = """
             INSERT INTO pgagent.pga_schedule(
@@ -252,7 +252,7 @@ def create_pgagent_schedule(self, sch_name, jobid):
             """.format(sch_name, jobid)
         pg_cursor.execute(query)
         sch_id = pg_cursor.fetchone()
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         connection.close()
         return sch_id[0]
@@ -274,13 +274,13 @@ def delete_pgagent_schedule(self):
             self.server['sslmode']
         )
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute(
             "DELETE FROM pgagent.pga_schedule "
             "WHERE jscid = '%s'::integer;" % self.schedule_id
         )
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         connection.close()
     except Exception:
@@ -353,7 +353,7 @@ def create_pgagent_exception(self, schid, date, time):
             self.server['sslmode']
         )
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = """
             INSERT INTO pgagent.pga_exception(jexscid, jexdate, jextime
@@ -363,7 +363,7 @@ def create_pgagent_exception(self, schid, date, time):
             """.format(schid, date, time)
         pg_cursor.execute(query)
         excep_id = pg_cursor.fetchone()
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         connection.close()
         return excep_id[0]
@@ -385,7 +385,7 @@ def create_pgagent_step(self, step_name, jobid):
             self.server['sslmode']
         )
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = """
             INSERT INTO pgagent.pga_jobstep(
@@ -397,7 +397,7 @@ def create_pgagent_step(self, step_name, jobid):
             """.format(step_name, jobid)
         pg_cursor.execute(query)
         step_id = pg_cursor.fetchone()
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         connection.close()
         return step_id[0]
@@ -419,13 +419,13 @@ def delete_pgagent_step(self):
             self.server['sslmode']
         )
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute(
             "DELETE FROM pgagent.pga_jobstep "
             "WHERE jstid = '%s'::integer;" % self.step_id
         )
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         connection.close()
     except Exception:
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/utils.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/utils.py
index c7c7156e0..57bafb01f 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/utils.py
@@ -32,10 +32,10 @@ def create_resource_groups(server, resource_group_name):
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute("CREATE RESOURCE GROUP %s" % resource_group_name)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get oid of newly created resource group
         pg_cursor.execute("SELECT oid FROM edb_resource_group WHERE "
@@ -84,11 +84,11 @@ def delete_resource_group(connection, resource_group_name):
         resource_group_name_count = len(pg_cursor.fetchall())
         if resource_group_name_count:
             old_isolation_level = connection.isolation_level
-            connection.set_isolation_level(0)
+            utils.set_isolation_level(connection, 0)
             pg_cursor.execute("DELETE FROM edb_resource_group where "
                               "rgrpname='%s'" %
                               resource_group_name)
-            connection.set_isolation_level(old_isolation_level)
+            utils.set_isolation_level(connection, old_isolation_level)
             connection.commit()
         connection.close()
     except Exception:
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py b/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py
index c30c69d84..643c9d676 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py
@@ -145,10 +145,10 @@ def delete_role(connection, role_names):
             role_count = pg_cursor.fetchone()
             if role_count:
                 old_isolation_level = connection.isolation_level
-                connection.set_isolation_level(0)
+                utils.set_isolation_level(connection, 0)
                 pg_cursor = connection.cursor()
                 pg_cursor.execute("DROP ROLE %s" % role_name)
-                connection.set_isolation_level(old_isolation_level)
+                utils.set_isolation_level(connection, old_isolation_level)
                 connection.commit()
         connection.close()
     except Exception as exception:
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py
index 5a74b65a2..7d8eec7e7 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py
@@ -52,13 +52,13 @@ def create_tablespace(server, test_tablespace_name, test_tablespace_dir=None):
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         if test_tablespace_dir is None:
             test_tablespace_dir = server['tablespace_path']
         pg_cursor.execute("CREATE TABLESPACE %s LOCATION '%s'" %
                           (test_tablespace_name, test_tablespace_dir))
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
 
         # Get 'oid' from newly created tablespace
@@ -112,9 +112,9 @@ def delete_tablespace(connection, test_tablespace_name):
         tablespace_count = len(pg_cursor.fetchall())
         if tablespace_count:
             old_isolation_level = connection.isolation_level
-            connection.set_isolation_level(0)
+            utils.set_isolation_level(connection, 0)
             pg_cursor.execute("DROP TABLESPACE %s" % test_tablespace_name)
-            connection.set_isolation_level(old_isolation_level)
+            utils.set_isolation_level(connection, old_isolation_level)
             connection.commit()
         connection.close()
     except Exception as exception:
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_check_recovery.py b/web/pgadmin/browser/server_groups/servers/tests/test_check_recovery.py
index b31fcc195..8934d5572 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_check_recovery.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_check_recovery.py
@@ -20,7 +20,7 @@ class TestCheckRecovery(BaseTestGenerator):
                                               self.server['sslmode']).cursor()
 
         if cursor is not None and cursor.connection is not None:
-            server_version = cursor.connection.server_version
+            server_version = test_utils.get_server_version(cursor.connection)
             if server_version >= 100000:
                 version = '10_plus'
             elif server_version >= 90000:
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_check_ssh_mock_connect.py b/web/pgadmin/browser/server_groups/servers/tests/test_check_ssh_mock_connect.py
index 3c0a5771a..b21a480d8 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_check_ssh_mock_connect.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_check_ssh_mock_connect.py
@@ -12,7 +12,7 @@ from regression.python_test_utils import test_utils as utils
 from . import utils as servers_utils
 from unittest.mock import patch, MagicMock
 import json
-from psycopg2 import OperationalError
+from psycopg import OperationalError
 
 
 class ServersSSHConnectTestCase(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_dependencies_sql.py b/web/pgadmin/browser/server_groups/servers/tests/test_dependencies_sql.py
index dda3acdb4..03b63e992 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_dependencies_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_dependencies_sql.py
@@ -30,15 +30,20 @@ class TestDependenciesSql(SQLTemplateTestBase):
                        "WHERE pg_class.relname='test_table'")
         self.table_id = cursor.fetchone()[0]
 
-    def generate_sql(self, version):
+    def generate_sql(self, connection):
         file_path = os.path.join(os.path.dirname(__file__), "..", "templates",
                                  "depends", self.server['type'])
-        template_file = self.get_template_file(version, file_path,
-                                               "dependencies.sql")
+        template_file = self.get_template_file(
+            self.get_server_version(connection),
+            file_path,
+            "dependencies.sql"
+        )
         template = file_as_template(template_file)
         sql = template.render(
             where_clause="WHERE dep.objid=%s::oid" % self.table_id,
-            object_id=self.table_id)
+            object_id=self.table_id,
+            conn=connection
+        )
 
         return sql
 
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_dependents_sql.py b/web/pgadmin/browser/server_groups/servers/tests/test_dependents_sql.py
index aedee5af2..331e6c443 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_dependents_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_dependents_sql.py
@@ -30,14 +30,17 @@ class TestDependentsSql(SQLTemplateTestBase):
                        "WHERE pg_class.relname='test_table'")
         self.table_id = cursor.fetchone()[0]
 
-    def generate_sql(self, version):
+    def generate_sql(self, connection):
         file_path = os.path.join(os.path.dirname(__file__), "..", "templates",
                                  "depends", self.server['type'])
-        template_file = self.get_template_file(version, file_path,
-                                               "dependents.sql")
+        template_file = self.get_template_file(
+            self.get_server_version(connection),
+            file_path,
+            "dependents.sql")
         template = file_as_template(template_file)
         sql = template.render(
-            where_clause="WHERE dep.objid=%s::oid" % self.table_id)
+            where_clause="WHERE dep.objid=%s::oid" % self.table_id,
+            conn=connection)
 
         return sql
 
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py b/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
index e744aa345..e809a4d86 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
@@ -54,7 +54,7 @@ class TestRoleDependenciesSql(SQLTemplateTestBase):
                            "WHERE pg_class.relname='test_new_role_table'")
             self.table_id = cursor.fetchone()[0]
 
-            sql = self.generate_sql(connection.server_version)
+            sql = self.generate_sql(connection)
             cursor.execute(sql)
 
             fetch_result = cursor.fetchall()
@@ -66,15 +66,18 @@ class TestRoleDependenciesSql(SQLTemplateTestBase):
             cursor.execute("DROP ROLE %s" % self.role_name)
             connection.commit()
 
-    def generate_sql(self, version):
+    def generate_sql(self, connection):
         file_path = os.path.join(os.path.dirname(__file__), "..", "templates",
                                  "depends", self.server['type'])
-        template_file = self.get_template_file(version, file_path,
+        template_file = self.get_template_file(connection.info.version,
+                                               file_path,
                                                "role_dependencies.sql")
-        jinja2.filters.FILTERS['qtLiteral'] = lambda value: "NULL"
+        jinja2.filters.FILTERS['qtLiteral'] = lambda conn, value: "NULL"
         template = file_as_template(template_file)
         sql = template.render(
-            where_clause="WHERE dep.objid=%s::oid" % self.table_id)
+            where_clause="WHERE dep.objid=%s::oid" % self.table_id,
+            conn=connection
+        )
 
         return sql
 
diff --git a/web/pgadmin/browser/utils.py b/web/pgadmin/browser/utils.py
index 76abaafb5..07f8e923e 100644
--- a/web/pgadmin/browser/utils.py
+++ b/web/pgadmin/browser/utils.py
@@ -486,11 +486,12 @@ class PGChildNodeView(NodeView):
         dependencies = self.__fetch_dependency(
             conn, query, show_system_objects, is_schema_diff)
 
+        import psycopg
         # fetch role dependencies
         if where_clause.find('subid') < 0:
             sql = render_template(
                 "/".join([sql_path, 'role_dependencies.sql']),
-                where_clause=where_clause, db_name=conn.db)
+                where_clause=where_clause, conn=conn)
 
             status, result = conn.execute_dict(sql)
             if not status:
diff --git a/web/pgadmin/dashboard/__init__.py b/web/pgadmin/dashboard/__init__.py
index d13b8bdeb..ca07159a1 100644
--- a/web/pgadmin/dashboard/__init__.py
+++ b/web/pgadmin/dashboard/__init__.py
@@ -414,8 +414,8 @@ def dashboard_stats(sid=None, did=None):
         status, res = g.conn.execute_dict(sql)
 
         for chart_row in res['rows']:
-            resp_data[chart_row['chart_name']] = \
-                json.loads(chart_row['chart_data'])
+            resp_data[chart_row['chart_name']] = json.loads(
+                chart_row['chart_data'])
 
     return ajax_response(
         response=resp_data,
diff --git a/web/pgadmin/feature_tests/pg_datatype_validation_test.py b/web/pgadmin/feature_tests/pg_datatype_validation_test.py
index f039bae75..a1ad9d036 100644
--- a/web/pgadmin/feature_tests/pg_datatype_validation_test.py
+++ b/web/pgadmin/feature_tests/pg_datatype_validation_test.py
@@ -70,7 +70,7 @@ class PGDataypeFeatureTest(BaseFeatureTest):
         else:
             self.timezone_hh_mm = '+{}'.format(self.timezone_hh_mm)
 
-        self.database_version = connection.server_version
+        self.database_version = test_utils.get_server_version(connection)
 
         # For this test case we need to set "Insert bracket pairs?"
         # SQL Editor preference to 'false' to avoid codemirror
diff --git a/web/pgadmin/feature_tests/query_tool_tests.py b/web/pgadmin/feature_tests/query_tool_tests.py
index d3102a1d0..515f06a0f 100644
--- a/web/pgadmin/feature_tests/query_tool_tests.py
+++ b/web/pgadmin/feature_tests/query_tool_tests.py
@@ -615,7 +615,7 @@ SELECT 1, pg_sleep(300)"""
             self.server['port'],
             self.server['sslmode']
         )
-        return connection.server_version > 90100
+        return test_utils.get_server_version(connection) > 90100
 
     def _query_tool_notify_statements(self):
         print("\n\tListen on an event... ", file=sys.stderr, end="")
@@ -669,7 +669,8 @@ SELECT 1, pg_sleep(300)"""
             pass
 
         connection.close()
-        return connection.server_version >= 110000 and jit_enabled
+        return test_utils.get_server_version(connection
+                                             ) >= 110000 and jit_enabled
 
     def _query_tool_explain_check_jit_stats(self):
 
diff --git a/web/pgadmin/feature_tests/view_data_dml_queries.py b/web/pgadmin/feature_tests/view_data_dml_queries.py
index f52275726..736e99a5c 100644
--- a/web/pgadmin/feature_tests/view_data_dml_queries.py
+++ b/web/pgadmin/feature_tests/view_data_dml_queries.py
@@ -96,7 +96,7 @@ CREATE TABLE public.nonintpkey
 
     def before(self):
         with test_utils.Database(self.server) as (connection, _):
-            if connection.server_version < 90100:
+            if test_utils.get_server_version(connection) < 90100:
                 self.skipTest(
                     "COLLATE is not present in PG versions below v9.1"
                 )
diff --git a/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py b/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py
index 3c0025f61..75264616c 100644
--- a/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py
+++ b/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py
@@ -29,7 +29,7 @@ class CheckDebuggerForXssFeatureTest(BaseFeatureTest):
 
     def before(self):
         with test_utils.Database(self.server) as (connection, _):
-            if connection.server_version < 90100:
+            if test_utils.get_server_version(connection) < 90100:
                 self.skipTest(
                     "Functions tree node is not present in pgAdmin below "
                     "PG v9.1"
diff --git a/web/pgadmin/feature_tests/xss_checks_roles_control_test.py b/web/pgadmin/feature_tests/xss_checks_roles_control_test.py
index 94fc856c5..bb8fc5d84 100644
--- a/web/pgadmin/feature_tests/xss_checks_roles_control_test.py
+++ b/web/pgadmin/feature_tests/xss_checks_roles_control_test.py
@@ -30,7 +30,7 @@ class CheckRoleMembershipControlFeatureTest(BaseFeatureTest):
 
     def before(self):
         with test_utils.Database(self.server) as (connection, _):
-            if connection.server_version < 90100:
+            if test_utils.get_server_version(connection) < 90100:
                 self.skipTest(
                     "Membership is not present in Postgres below PG v9.1")
 
diff --git a/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py b/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
index 1b7c047fa..0c9921abb 100644
--- a/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
+++ b/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
@@ -709,7 +709,7 @@ class BackupCreateJobTest(BaseTestGenerator):
     @patch('pgadmin.tools.backup.BackupMessage')
     @patch('pgadmin.tools.backup.filename_with_file_manager_path')
     @patch('pgadmin.tools.backup.BatchProcess')
-    @patch('pgadmin.utils.driver.psycopg2.server_manager.ServerManager.'
+    @patch('pgadmin.utils.driver.psycopg3.server_manager.ServerManager.'
            'export_password_env')
     def runTest(self, export_password_env_mock, batch_process_mock,
                 filename_mock, backup_message_mock, server_mock):
